Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000818Core InformPhrases and functional programmingpublic2011-12-13 09:572014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000818: Repeated error message for incomplete description
DescriptionThe attached source provokes

- - - -
Problem. You wrote 'now the list is filter to unique of the list' : but this is not a condition I am able to test, or at any rate not during play.
- - - -

six times over.
Minimal Source Text To Reproduce
There is a room.

Definition: a number is unique if it is 9.

When play begins:
	let the list be { 4, 9 };
	now the list is filter to unique [numbers] of the list;
	showme the list.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0002343)
graham (administrator)
2014-01-23 16:02

This was more serious than it looked - the problem message shouldn't have appeared even once. It had to do with "unique" in the filtering line being read as a predicate applied to objects (by default) and not numbers (as the typechecker had wanted). In some bizarre cases, this could result in the wrong behaviour at run-time.

- Issue History
Date Modified Username Field Change
2011-12-13 09:57 EmacsUser New Issue
2012-06-20 08:43 curiousdannii Status new => confirmed
2014-01-23 15:59 graham Severity cosmetic => serious
2014-01-23 16:02 graham Note Added: 0002343
2014-01-23 16:02 graham Status confirmed => resolved
2014-01-23 16:02 graham Resolution open => fixed
2014-01-23 16:02 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker